package cn.iocoder.yudao.module.visit.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/*
 * System 错误码枚举类
 *
 * system 系统，使用 1-002-000-000 段
 */
public interface ErrorCodeConstants {

    // ========== 产品  ==========
    ErrorCode PRODUCT_NOT_EXISTS = new ErrorCode(1001000001, "产品不存在");
    ErrorCode PRODUCT_PRODUCT_EXISTS = new ErrorCode(1001000002, "导入产品已存在！");
    ErrorCode PRODUCT_IMPORT_LIST_IS_EMPTY = new ErrorCode(1001000003, "导入产品数据不能为空！");
    ErrorCode PRODUCT_LIST_NOT_EXISTS = new ErrorCode(1001000004, "所选产品中含有不存在的数据");

    // ========== 客户信息  ==========
    ErrorCode CUSTOMER_INFO_NOT_EXISTS = new ErrorCode(1002000001, "客户信息不存在");
    ErrorCode CUSTOMER_INFO_COMPANY_NAME_DUPLICATE = new ErrorCode(1002000002, "该公司名称已存在");
    ErrorCode CUSTOMER_INFO_IMPORT_LIST_IS_EMPTY = new ErrorCode(1002000003, "导入客户数据不能为空！");
    ErrorCode CUSTOMER_INFO_EXISTS = new ErrorCode(1002000004, "导入客户数据已存在！");
    ErrorCode CUSTOMER_INFO_LIST_NOT_EXISTS = new ErrorCode(1002000005, "所选客户信息中含有不存在的数据");


    // ========== 客户拜访记录 ==========
    ErrorCode INFO_NOT_EXISTS = new ErrorCode(1003000001, "客户拜访记录不存在");
    ErrorCode INFO_LIST_NOT_EXISTS = new ErrorCode(1003000002, "所选客户拜访记录中含有不存在的数据");
}
